﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CGTC
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["data"] == null)
            {
                Session["data"] = populateDataSet();
            }
            WDG_SingleOrderEntry.DataSource = (DataSet)Session["data"];
            WDG_SingleOrderEntry.DataBind();
        }
        private DataSet populateDataSet()
        {

            DataSet ds = new DataSet();
            DataTable Parent = new DataTable();
            Parent.TableName = "Parent";
            DataTable Child = new DataTable();
            Child.TableName = "Child";

            Parent.Columns.Add("ID");
            Parent.Columns.Add("Name");

            DataColumn[] col = new DataColumn[1];
            col[0] = Parent.Columns["ID"];
            Parent.PrimaryKey = col;

            DataRow row = Parent.NewRow();
            row.SetField<int>("ID", 0);
            row.SetField<string>("Name", "Al&ice");
            Parent.Rows.Add(row);

            row = Parent.NewRow();
            row.SetField<int>("ID", 1);
            row.SetField<String>("Name", "Bob");
            Parent.Rows.Add(row);

            row = Parent.NewRow();
            row.SetField<int>("ID", 2);
            row.SetField<String>("Name", "Joh'n");
            Parent.Rows.Add(row);

            Child.Columns.Add("ID");
            Child.Columns.Add("Address");

            row = Child.NewRow();
            row.SetField<int>("ID", 0);
            row.SetField<string>("Address", "Paris");
            Child.Rows.Add(row);

            row = Child.NewRow();
            row.SetField<int>("ID", 1);
            row.SetField<string>("Address", "Rome");
            Child.Rows.Add(row);

            row = Child.NewRow();
            row.SetField<int>("ID", 1);
            row.SetField<string>("Address", "London");
            Child.Rows.Add(row);

            row = Child.NewRow();
            row.SetField<int>("ID", 0);
            row.SetField<string>("Address", "LosAngeles");
            Child.Rows.Add(row);

            ds.Tables.Add(Parent);
            ds.Tables.Add(Child);


            DataRelation relation = new DataRelation("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);
            ds.Relations.Add(relation);


            // Add the column in the parent DataTable which Sums the values from the children based on the id relation

            return ds;
        }
    }
}